# Class SnapshotFormatter

java.lang.Object
org.apache.zookeeper.server.SnapshotFormatter

@Public public class SnapshotFormatter extends Object
Dump a snapshot file to stdout. For JSON format, followed https://dev.yorhel.nl/ncdu/jsonfmt

## Constructor Summary

Constructors
Constructor
Description
`SnapshotFormatter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
USAGE: SnapshotFormatter snapshot_file or the ready-made script: zkSnapShotToolkit.sh
`void`
`run(String snapshotFileName, boolean dumpData, boolean dumpJson)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnapshotFormatter

public SnapshotFormatter()

## Method Details

### main

public static void main(String[] args) throws Exception
USAGE: SnapshotFormatter snapshot_file or the ready-made script: zkSnapShotToolkit.sh

Throws:
  `Exception`

### run

public void run(String snapshotFileName, boolean dumpData, boolean dumpJson) throws IOException

Throws:
  `IOException`